/**
 * ParticipationAncillary.java
 *
 * File generated from the medication::ParticipationAncillary uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationAncillary.
 *
 * 
 */

@XmlType(name = "ParticipationAncillary")
@XmlEnum
@XmlRootElement(name = "ParticipationAncillary")
public enum ParticipationAncillary {
	@XmlEnumValue("ADM")
	ADM("ADM"),
	@XmlEnumValue("ATND")
	ATND("ATND"),
	@XmlEnumValue("CALLBCK")
	CALLBCK("CALLBCK"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("DIS")
	DIS("DIS"),
	@XmlEnumValue("ESC")
	ESC("ESC"),
	@XmlEnumValue("REF")
	REF("REF");
	
	private final String value;

    ParticipationAncillary(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationAncillary fromValue(String v) {
        for (ParticipationAncillary c: ParticipationAncillary.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}